Bug 135370 - yum search should not check lockfile
yum search should not check lockfile
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 05:52 EDT by Need Real Name
Modified: 2014-01-21 17:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 10:42:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-10-12 05:52:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
A yum search should be possible even if another yum is running.

e.g. tty1 has a yum install running, tty2 should allow a yum search
e.g. tty1 has a yum search running, tty2 should allow a yum search

I think up2date allows this.
Comment 1 Seth Vidal 2004-10-19 10:42:38 EDT
search attempts to read from the rpmdb and from the metadata files.

it can't know the state of those files and/or potentially modify the
metadata files (downloading updated files) during that process.

Not sure how to make that work together.

Marking this as WONTFIX
Comment 2 Need Real Name 2004-10-19 10:45:02 EDT
Okay, but up2date lets me.
Comment 3 Marco Grigull 2007-11-09 01:53:45 EST
Originally an FC3-beta bug.

yum-3.2.7-1.fc8 as @ nov07 still exhibits this behaviour.

Competing package managers do not share this issue:
Gentoo emerge can emerge several package/dependancy streams concurrently and
only blocks on a per package level if its an outstanding deps. in its stack and
already beoing processed;
Debian allows apt-cache searches whilst performing apt-get/dpkg operations....

The correct behavoiur could be:
only get write lock when actually required, relinquish afterwards..... allowing
at least 'yum -C search' to work...

Note You need to log in before you can comment on or make changes to this bug.